Bug 290631 - Errors in functions/*xml description files
Summary: Errors in functions/*xml description files
Status: CONFIRMED
Alias: None
Product: calligrasheets
Classification: Unclassified
Component: functions (show other bugs)
Version: Git
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Calligra Sheets (KSpread) Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-04 20:48 UTC by Burkhard Lück
Modified: 2021-03-09 22:44 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
List of all errors found generating functions.docbook (26.87 KB, text/plain)
2012-01-04 20:48 UTC, Burkhard Lück
Details
List of types not handled by FunctionDescription.cpp (4.67 KB, text/plain)
2012-01-25 08:35 UTC, Burkhard Lück
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Burkhard Lück 2012-01-04 20:48:47 UTC
Created attachment 67459 [details]
List of all errors found generating functions.docbook

FunctionDescription.cpp has "Boolean", "Int", "String", "Any", everything else is treated as Float -> that is wrong.
There is also Reference, Array, Bool, String/Numeric, Reference/Array, Error, FLOAT, int, IntType, Integer, Date, Double -> all teated as Float

More errors:
Summary of Errors in 1090 Functions:
error_missing_parameter: 1
error_missing_syntax: 1
error_missing_example: 37
error_missing_related: 209
error_missing_helptxt: 1
error_args_syntax_comment: 85
error_optional_syntax_comments: 16
error_type_description_not_supported: 163
dead links: COUPDAYBS PRICEDISC PRICE ODDFPRICE
Comment 1 Burkhard Lück 2012-01-18 21:34:48 UTC
Git commit 9c4c3bef739950056898bd98cf375be8d8774f0d by Burkhard Lück.
Committed on 18/01/2012 at 22:34.
Pushed by lueck into branch 'master'.

fix Fix wrong function type descriptions in tables/functions/*xml files
changed all int/IntType/Integer to the proper Type string Int + Bool to Boolean
REVIEW:103710

M  +2    -2    tables/functions/engineering.xml
M  +11   -13   tables/functions/financial.xml
M  +3    -2    tables/functions/math.xml
M  +2    -4    tables/functions/reference.xml
M  +3    -2    tables/functions/statistical.xml
M  +2    -1    tables/functions/text.xml

http://commits.kde.org/calligra/9c4c3bef739950056898bd98cf375be8d8774f0d
Comment 2 Sebastian Sauer 2012-01-24 14:19:51 UTC
I assume this bug can be closed now?
Comment 3 Burkhard Lück 2012-01-25 08:35:09 UTC
Created attachment 68157 [details]
List of types not handled by FunctionDescription.cpp
Comment 4 Burkhard Lück 2012-01-25 08:36:31 UTC
Due to the code in FunctionDescription.cpp the types 'Boolean', 'Int', 'String', 'Any' have a correct description on the Help tab in the functions dialog.

Any other function type in the xml files has the type description "A floating point value..." in the functions dialog but that is in some cases (e.g. second parameter of CELL) wrong.

Attached as comment #3 a list of functions with types != 'Boolean', 'Int', 'String', 'Any', 'Float', 'FLOAT', 'Double', which are all displayed as Float.

From my pov these issues need to be addressed before closing this bug:

1) Use only <Type>Float</Type> for floating point values, not also 'FLOAT' and 'Double'.

2) Handle type 'Float' explicitely in FunctionDescription.cpp, that prevents silent failures like reported here.

3) Either use the raw type string from the xml files to display it in the funktions dialog or add all missing categories (Reference, Array, String/Numeric, Reference/Array, Error, Date) with more verbose typ descriptions like for the already handled types.
Comment 5 Burkhard Lück 2012-05-24 12:36:55 UTC
Git commit a50925079090201cbb0f4f1f9819e1ad6ff59edd by Burkhard Lück.
Committed on 24/05/2012 at 14:36.
Pushed by lueck into branch 'master'.

Fix wrong function type description for 'Date'
REVIEW:104954

M  +6    -0    sheets/FunctionDescription.cpp
M  +1    -1    sheets/FunctionDescription.h

http://commits.kde.org/calligra/a50925079090201cbb0f4f1f9819e1ad6ff59edd
Comment 6 Burkhard Lück 2012-05-24 12:48:50 UTC
Status update of this bug report:

The following list shows all of types not handled by FunctionDescription.cpp and therefore have the type description "A floating point value..."  in the functions dialog, which is obviusly wrong:

./information.xml:27:           <Type>Reference</Type>
./information.xml:223:           <Type>Reference</Type>
./information.xml:308:       <Type>Error</Type>
/reference.xml:212:           <Type>Reference</Type>
./reference.xml:227:           <Type>Reference</Type>
./reference.xml:239:           <Type>String/Numeric</Type>
./reference.xml:243:           <Type>String/Numeric</Type>
./reference.xml:247:           <Type>String/Numeric</Type>
./reference.xml:258:       <Type>String/Numeric</Type>
./reference.xml:261:           <Type>String/Numeric</Type>
./reference.xml:265:           <Type>Array</Type>
./reference.xml:284:       <Type>String/Numeric</Type>
./reference.xml:287:           <Type>String/Numeric</Type>
./reference.xml:291:           <Type>Array</Type>
./reference.xml:310:       <Type>String/Numeric</Type>
./reference.xml:313:           <Type>Reference</Type>
./reference.xml:317:           <Type>Reference</Type>
./reference.xml:321:           <Type>Reference</Type>
./reference.xml:325:           <Type>Reference</Type>
./reference.xml:329:           <Type>Reference</Type>
./reference.xml:342:           <Type>String/Numeric</Type>
./reference.xml:346:           <Type>Reference/Array</Type>
./reference.xml:360:       <Type>Reference</Type>
./reference.xml:363:           <Type>Reference</Type>
Comment 7 Justin Zobel 2021-03-09 22:44:07 UTC
Thank you for the bug report.

As this report hasn't seen any changes in 5 years or more, we ask if you can please confirm that the issue still persists.

If this bug is no longer persisting or relevant please change the status to resolved.